Subject: Re: bug#27059: Can't compile master branch on Mac OS X

From: David Caldwell <[email-masked]>
Date: Mon, 29 May 2017 01:56:05 -0700

On 5/29/17 1:24 AM, Alan Third wrote:
> 
> 
> On 29 May 2017 7:56 a.m., "David Caldwell" <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
>     On 5/26/17 4:58 PM, Alan Third wrote:
>     > Thanks. I’ve pushed the change to master.
> 
>     Thanks. Emacs compiles on 10.7 and above, but I'm still getting an error
>     on 10.6. It's a different part of the code, maybe it should be a new
>     bug?
> 
>       CC       nsfns.o
>     nsfns.m: In function 'compute_tip_xy':
>     nsfns.m:2756: error: incompatible type for argument 1 of
>     'CGRectContainsPoint'
>     nsfns.m:2756: error: incompatible type for argument 2 of
>     'CGRectContainsPoint'
>     make[1]: *** [nsfns.o] Error 1
>     make: *** [src] Error 2
>     make failed
> 
> 
> Hmm, this is a bit strange. Perhaps we need to cast the arguments to
> CGRect and CGPoint explicitly, but I don't see why, and surely that
> would be a warning rather than an error.

Yeah, it's defined in NSGeometry.h as:
    typedef CGRect NSRect;
...which should make them compatible. Maybe it's something in the old
version of gcc (4.2.1) that 10.6 X-Code uses by default.

Nevertheless, you are right--Putting the explicit cast in makes it compile.

-David